Bug 206939 - configurations adds to httpd.conf instead of conf.d/
Summary: configurations adds to httpd.conf instead of conf.d/
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-httpd   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-18 10:46 UTC by Thilo Pfennig
Modified: 2015-03-05 01:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:45:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thilo Pfennig 2006-09-18 10:46:27 UTC
Description of problem:

New virtual hosts are added to httpd.conf

Version-Release number of selected component (if applicable):
system-config-httpd-1.3.3-1.1


How reproducible:

always
Steps to Reproduce:
1. create a new virtual host

  
Actual results:

the configuration is added to /etc/httpd/conf/httpd.conf


Expected results:

configuration created as /etc/httpd/conf.d/virtualhostname.conf

Additional info:

Comment 1 Phil Knirsch 2006-10-19 14:31:30 UTC
I've been considering something similar like that.

The problem only is that a lot more than just virtualhosts can be configured
with this tool. This again means that i'd either need to write a lot of single
config files for the various sections or put everything of system-config-httpd
in one single config file calles system-config-httpd.conf (which i personally
prefer as a user can the easily identify where a problem might come from).

I'll see if i can integrate that in the next major version for FC-devel.

Read ya, Phil

Comment 2 Phil Knirsch 2006-10-25 15:45:17 UTC
OK, i've changed s-c-h to create a system-config-httpd.conf in
/etc/httpd/conf.d/ which contains only the changes that s-c-h actually does.
This should solve all the typical problems we've seen in the past with s-c-h
overwriting the original config file.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.